// SPDX-License-Identifier: GPL-3.0-or-later
/*
 * Qt mutizone MQTT thermostat
 *
 * Copyright (C) 2019 Richard Genoud
 *
 */

#ifndef SETTINGS_H
#define SETTINGS_H

#include <QStringList>

class Settings
{

public:
	static Settings *getInstance(void);

	QStringList m_rooms_names;
	QStringList m_sensor_topics;
	QStringList m_availability_topics;

private:
	Settings();
	~Settings();
	static Settings *_singleton;

};

#endif // SETTINGS_H

/* vim: set tabstop=8 shiftwidth=8 softtabstop=0 noexpandtab: */

